﻿<%@ Page Language="C#" AutoEventWireup="true" Inherits="Carrotware.CMS.UI.Base.GenericPage" %>

<%--
This template set includes: 
	* jQuery http://jquery.org - Copyright 2013 jQuery Foundation and other contributors Licensed MIT
	* Bootstrap http://getbootstrap.com - Copyright 2013 Twitter, Inc., Licensed under http://www.apache.org/licenses/LICENSE-2.0
 	* Basic layout assortment as HTML taken from PaintStrap http://paintstrap.com/ on-line palette preview engine
	* Some markup from Martin Bean - http://martinbean.co.uk and Ryan Fait - http://ryanfait.com/sticky-footer/ (by way of the PaintStrap)

Conversion of HTML to CarrotCakeCMS Template by Carrotware http://carrotware.com , this remix licensed as Attribution-ShareAlike CC BY-SA 
--%>
<%@ Register Src="bootstraphead.ascx" TagName="bootstraphead" TagPrefix="uc1" %>
<script runat="server">

	protected override void OnLoad(EventArgs e) {

		base.OnLoad(e);

		bootstraphead1.TemplateFolderPath = pageContents.TemplateFolderPath;


		if (Page.User.Identity.IsAuthenticated) {
			loginTemplate.Visible = false;
			btnLogout.Visible = true;
			btnLogout.Text = "   Sign out '" + Carrotware.CMS.Core.SecurityData.CurrentUser.UserName + "'   ";
		} else {
			loginTemplate.Visible = true;
			btnLogout.Visible = false;
		}

	}


	protected void cmdLogon_Click(object sender, EventArgs e) {

	}

	private void WarnUser() {
		if (!Page.User.Identity.IsAuthenticated) {
			divFieldWrapper.Attributes["class"] = "form-group has-error";
		} else {
			divFieldWrapper.Attributes["class"] = "";
		}
	}

	protected void loginTemplate_LoggedIn(object sender, EventArgs e) {
		if (Page.User.Identity.IsAuthenticated) {
			Response.Redirect(Carrotware.CMS.Core.SiteData.CurrentScriptName);
		}

		WarnUser();
	}

	protected void loginTemplate_LoggingIn(object sender, LoginCancelEventArgs e) {
		if (FormsAuthentication.Authenticate(loginTemplate.UserName, loginTemplate.Password)) {
			//FormsAuthentication.RedirectFromLoginPage(loginTemplate.UserName, false);
			if (Page.User.Identity.IsAuthenticated) {
				Response.Redirect(Carrotware.CMS.Core.SiteData.CurrentScriptName);
			}
		}

		WarnUser();
	}

	protected void btnLogout_Click(object sender, EventArgs e) {
		FormsAuthentication.SignOut();
		Response.Redirect(Carrotware.CMS.Core.SiteData.CurrentScriptName);
	}

	protected HtmlGenericControl divFieldWrapper {
		get {
			return ((HtmlGenericControl)loginTemplate.FindControl("divFieldWrapper"));
		}
	}
	
</script>
<!DOCTYPE html>
<!--[if lt IE 7 ]><html class="ie ie6" lang="en"> <![endif]-->
<!--[if IE 7 ]><html class="ie ie7" lang="en"> <![endif]-->
<!--[if IE 8 ]><html class="ie ie8" lang="en"> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!-->
<html lang="en">
<!--<![endif]-->
<head id="Head1" runat="server">
	<meta charset="utf-8" />
	<carrot:jquerybasic runat="server" ID="jquerybasic1" SelectedSkin="Silver" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<title>Signin Template for Bootstrap</title>
	<uc1:bootstraphead ID="bootstraphead1" runat="server" ExtraCSSFile="css/boostrap-signin.css" />
	<carrot:SiteCanonicalURL runat="server" ID="SiteCanonicalURL1" />
	<carrot:RSSFeed runat="server" ID="RSSFeed1" />
</head>
<body>
	<form id="form1" runat="server">
	<div class="container">
		<div class="form-signin">
			<h2 class="form-signin-heading">
				<carrot:ContentPageProperty runat="server" ID="ContentPageProperty1" DataField="PageHead" /></h2>
			<div>
				<carrot:WidgetContainer ID="phCenterTop" runat="server" />
				<carrot:ContentContainer EnableViewState="false" ID="BodyCenter" runat="server" />
				<carrot:WidgetContainer ID="phCenterBottom" runat="server" />
			</div>
			<%--				
				<input type="text" class="form-control" placeholder="Email address" autofocus>
				<input type="password" class="form-control" placeholder="Password">
				<label class="checkbox">
					<input type="checkbox" value="remember-me">
					Remember me
				</label>
				<button class="btn btn-lg btn-primary btn-block" type="submit">
					Sign in</button>--%>
			<asp:Panel ID="panelLogin" runat="server" DefaultButton="loginTemplate$cmdLogon">
				<asp:Login ID="loginTemplate" runat="server" OnLoggingIn="loginTemplate_LoggingIn" OnLoggedIn="loginTemplate_LoggedIn">
					<LayoutTemplate>
						<div runat="server" id="divFieldWrapper">
							<div>
								<asp:TextBox ID="UserName" runat="server" TextMode="SingleLine" placeholder="Email" CssClass="form-control" MaxLength="60" ValidationGroup="loginTemplate" />
								<asp:TextBox ID="Password" runat="server" TextMode="Password" placeholder="Password" CssClass="form-control" MaxLength="60" ValidationGroup="loginTemplate" />
								<div>
									<asp:Label ID="FailureText" CssClass="control-label has-error" runat="server" EnableViewState="true" />
								</div>
								<asp:Button ID="cmdLogon" runat="server" Text="Sign in" CommandName="Login" CssClass="btn btn-success" OnClick="cmdLogon_Click" ValidationGroup="loginTemplate" />
							</div>
						</div>
					</LayoutTemplate>
				</asp:Login>
				<asp:Button ID="btnLogout" runat="server" Text="logout" CssClass="btn btn-info" OnClick="btnLogout_Click" />
			</asp:Panel>
		</div>
		<asp:PlaceHolder ID="phFooter" runat="server">
			<div id="footer">
				<p>
					<%=String.Format("&copy;  {0}   {1}  ", DateTime.Now.Year, TheSite.SiteName.Trim()) %>
					| Site built with <a target="_blank" href="http://www.carrotware.com/carrotcake-cms.aspx">carrotcake cms</a>
				</p>
			</div>
		</asp:PlaceHolder>
	</div>
	<!-- /container -->
	</form>
</body>
</html>
